import * as React from 'react';
import {SvgXml} from 'react-native-svg';

export const TickIcon = () => (
    <SvgXml
        xml={`<svg width="26" height="27" viewBox="0 0 26 27" fill="none" xmlns="http://www.w3.org/2000/svg">
    <circle cx="13" cy="13.5" r="13" fill="white"/>
    <path d="M11.0547 18.3125C11.2891 18.5469 11.6875 18.5469 11.9219 18.3125L18.8125 11.4219C19.0469 11.1875 19.0469 10.7891 18.8125 10.5547L17.9688 9.71094C17.7344 9.47656 17.3594 9.47656 17.125 9.71094L11.5 15.3359L8.85156 12.7109C8.61719 12.4766 8.24219 12.4766 8.00781 12.7109L7.16406 13.5547C6.92969 13.7891 6.92969 14.1875 7.16406 14.4219L11.0547 18.3125Z" fill="#BFA17B"/>
    </svg>
    `}
    />
);

export const AddFocus = () => (
    <SvgXml
        xml={`<svg width="35" height="35" viewBox="0 0 35 35" fill="none" xmlns="http://www.w3.org/2000/svg">
    <g filter="url(#filter0_d)">
    <circle cx="17.5" cy="13.5" r="13" fill="#BFA17B"/>
    </g>
    <path d="M22 12.875H18.625V9.5C18.625 9.10156 18.2734 8.75 17.875 8.75H17.125C16.7031 8.75 16.375 9.10156 16.375 9.5V12.875H13C12.5781 12.875 12.25 13.2266 12.25 13.625V14.375C12.25 14.7969 12.5781 15.125 13 15.125H16.375V18.5C16.375 18.9219 16.7031 19.25 17.125 19.25H17.875C18.2734 19.25 18.625 18.9219 18.625 18.5V15.125H22C22.3984 15.125 22.75 14.7969 22.75 14.375V13.625C22.75 13.2266 22.3984 12.875 22 12.875Z" fill="white"/>
    <defs>
    <filter id="filter0_d" x="0.5" y="0.5" width="34" height="34" filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
    <feFlood flood-opacity="0" result="BackgroundImageFix"/>
    <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
    <feOffset dy="4"/>
    <feGaussianBlur stdDeviation="2"/>
    <feColorMatrix type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.25 0"/>
    <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow"/>
    <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape"/>
    </filter>
    </defs>
    </svg>
    `}
    />
);

export const HeartInCircle = () => (
    <SvgXml
        xml={`<svg width="26" height="27" viewBox="0 0 26 27" fill="none" xmlns="http://www.w3.org/2000/svg">
    <circle cx="13" cy="13.5" r="13" fill="white"/>
    <path d="M4.67441 8.33544C7.45832 5.77596 9.98227 6.06793 13.0759 9.0645C16.0085 6.13017 18.4701 5.73885 21.3039 8.33544C25.1505 12.9862 20.5829 17.8086 13.0759 22.5C5.08571 17.4099 0.976334 13.1132 4.67441 8.33544Z" fill="white" stroke="#BFA17B" fill="#BFA17B"/>
    </svg>
    `}
    />
);

export const HeartInCircleInvert = () => (
    <SvgXml
        xml={`<svg width="26" height="27" viewBox="0 0 26 27" fill="none" xmlns="http://www.w3.org/2000/svg">
        <circle cx="13" cy="13.5" r="13" fill="white"/>
        <path d="M4.67441 8.33544C7.45832 5.77596 9.98227 6.06793 13.0759 9.0645C16.0085 6.13017 18.4701 5.73885 21.3039 8.33544C25.1505 12.9862 20.5829 17.8086 13.0759 22.5C5.08571 17.4099 0.976334 13.1132 4.67441 8.33544Z" fill="white" stroke="#BFA17B"/>
        </svg>
        `}
    />
);

export const SearchTabBar = () => (
    <SvgXml
        xml={`<svg width="22" height="20" viewBox="0 0 22 20" fill="none" xmlns="http://www.w3.org/2000/svg">
<rect x="11.5471" y="12.9099" width="2.6322" height="10.3844" rx="1.3161" transform="rotate(-48.7818 11.5471 12.9099)" fill="#BFA17B"/>
<circle cx="7.78623" cy="8.26988" r="5.59368" transform="rotate(11.2182 7.78623 8.26988)" stroke="#BFA17B" stroke-width="2"/>
</svg>
`}
    />
);

export const SearchTabBarInvert = () => (
    <SvgXml
        xml={`<svg width="22" height="20" viewBox="0 0 22 20" fill="none" xmlns="http://www.w3.org/2000/svg">
<rect x="11.5471" y="12.9099" width="2.6322" height="10.3844" rx="1.3161" transform="rotate(-48.7818 11.5471 12.9099)" fill="#fff"/>
<circle cx="7.78623" cy="8.26988" r="5.59368" transform="rotate(11.2182 7.78623 8.26988)" stroke="#fff" stroke-width="2"/>
</svg>
`}
    />
);

export const TodayConcertTabBar = () => (
    <SvgXml
        xml={`<svg width="17" height="22" viewBox="0 0 17 22" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M1.14062 8.42993C0.894531 8.42993 0.71875 8.64087 0.71875 8.85181V17.9924C0.71875 18.9417 1.45703 19.6799 2.40625 19.6799H14.7812C15.6953 19.6799 16.4688 18.9417 16.4688 17.9924V8.85181C16.4688 8.64087 16.2578 8.42993 16.0469 8.42993H1.14062ZM16.4688 6.88306V5.61743C16.4688 4.70337 15.6953 3.92993 14.7812 3.92993H13.0938V2.10181C13.0938 1.89087 12.8828 1.67993 12.6719 1.67993H11.2656C11.0195 1.67993 10.8438 1.89087 10.8438 2.10181V3.92993H6.34375V2.10181C6.34375 1.89087 6.13281 1.67993 5.92188 1.67993H4.51562C4.26953 1.67993 4.09375 1.89087 4.09375 2.10181V3.92993H2.40625C1.45703 3.92993 0.71875 4.70337 0.71875 5.61743V6.88306C0.71875 7.12915 0.894531 7.30493 1.14062 7.30493H16.0469C16.2578 7.30493 16.4688 7.12915 16.4688 6.88306Z" fill="#BFA17B"/>
<path d="M7.47266 17.2737C7.66797 17.469 8 17.469 8.19531 17.2737L13.9375 11.5315C14.1328 11.3362 14.1328 11.0042 13.9375 10.8088L13.2344 10.1057C13.0391 9.9104 12.7266 9.9104 12.5312 10.1057L7.84375 14.7932L5.63672 12.6057C5.44141 12.4104 5.12891 12.4104 4.93359 12.6057L4.23047 13.3088C4.03516 13.5042 4.03516 13.8362 4.23047 14.0315L7.47266 17.2737Z" fill="white"/>
</svg>
`}
    />
);

export const TodayConcertTabBarInvert = () => (
    <SvgXml
        xml={`<svg width="17" height="22" viewBox="0 0 17 22" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M1.14062 8.42993C0.894531 8.42993 0.71875 8.64087 0.71875 8.85181V17.9924C0.71875 18.9417 1.45703 19.6799 2.40625 19.6799H14.7812C15.6953 19.6799 16.4688 18.9417 16.4688 17.9924V8.85181C16.4688 8.64087 16.2578 8.42993 16.0469 8.42993H1.14062ZM16.4688 6.88306V5.61743C16.4688 4.70337 15.6953 3.92993 14.7812 3.92993H13.0938V2.10181C13.0938 1.89087 12.8828 1.67993 12.6719 1.67993H11.2656C11.0195 1.67993 10.8438 1.89087 10.8438 2.10181V3.92993H6.34375V2.10181C6.34375 1.89087 6.13281 1.67993 5.92188 1.67993H4.51562C4.26953 1.67993 4.09375 1.89087 4.09375 2.10181V3.92993H2.40625C1.45703 3.92993 0.71875 4.70337 0.71875 5.61743V6.88306C0.71875 7.12915 0.894531 7.30493 1.14062 7.30493H16.0469C16.2578 7.30493 16.4688 7.12915 16.4688 6.88306Z" fill="#fff"/>
<path d="M7.47266 17.2737C7.66797 17.469 8 17.469 8.19531 17.2737L13.9375 11.5315C14.1328 11.3362 14.1328 11.0042 13.9375 10.8088L13.2344 10.1057C13.0391 9.9104 12.7266 9.9104 12.5312 10.1057L7.84375 14.7932L5.63672 12.6057C5.44141 12.4104 5.12891 12.4104 4.93359 12.6057L4.23047 13.3088C4.03516 13.5042 4.03516 13.8362 4.23047 14.0315L7.47266 17.2737Z" fill="#BFA17B"/>
</svg>
`}
    />
);

export const HeartIcon = () => (
    <SvgXml
        xml={`<svg width="20" height="17" viewBox="0 0 20 17" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M1.93717 1.85156C4.72107 -0.707926 7.24503 -0.415952 10.3387 2.58061C13.2713 -0.353715 15.7329 -0.745041 18.5666 1.85156C22.4133 6.50228 17.8456 11.3247 10.3387 16.0161C2.34847 10.926 -1.76091 6.62936 1.93717 1.85156Z" fill="#BFA17B"/>
</svg>
`}
    />
);

export const HeartIconInvert = () => (
    <SvgXml
        xml={`<svg width="20" height="17" viewBox="0 0 20 17" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M1.93717 1.85156C4.72107 -0.707926 7.24503 -0.415952 10.3387 2.58061C13.2713 -0.353715 15.7329 -0.745041 18.5666 1.85156C22.4133 6.50228 17.8456 11.3247 10.3387 16.0161C2.34847 10.926 -1.76091 6.62936 1.93717 1.85156Z" fill="#fff"/>
</svg>
`}
    />
);

export const PeopleIcon = () => (
    <SvgXml
        xml={`<svg width="17" height="19" viewBox="0 0 17 19" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M8.20117 9.67993C10.6621 9.67993 12.7012 7.67603 12.7012 5.17993C12.7012 2.71899 10.6621 0.679932 8.20117 0.679932C5.70508 0.679932 3.70117 2.71899 3.70117 5.17993C3.70117 7.67603 5.70508 9.67993 8.20117 9.67993ZM11.3301 10.8049H10.7324C9.95898 11.1917 9.11523 11.3674 8.20117 11.3674C7.28711 11.3674 6.4082 11.1917 5.63477 10.8049H5.03711C2.43555 10.8049 0.326172 12.9495 0.326172 15.551V16.9924C0.326172 17.9417 1.06445 18.6799 2.01367 18.6799H14.3887C15.3027 18.6799 16.0762 17.9417 16.0762 16.9924V15.551C16.0762 12.9495 13.9316 10.8049 11.3301 10.8049Z" fill="#BFA17B"/>
</svg>
`}
    />
);

export const PeopleIconInvert = () => (
    <SvgXml
        xml={`<svg width="17" height="19" viewBox="0 0 17 19" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M8.20117 9.67993C10.6621 9.67993 12.7012 7.67603 12.7012 5.17993C12.7012 2.71899 10.6621 0.679932 8.20117 0.679932C5.70508 0.679932 3.70117 2.71899 3.70117 5.17993C3.70117 7.67603 5.70508 9.67993 8.20117 9.67993ZM11.3301 10.8049H10.7324C9.95898 11.1917 9.11523 11.3674 8.20117 11.3674C7.28711 11.3674 6.4082 11.1917 5.63477 10.8049H5.03711C2.43555 10.8049 0.326172 12.9495 0.326172 15.551V16.9924C0.326172 17.9417 1.06445 18.6799 2.01367 18.6799H14.3887C15.3027 18.6799 16.0762 17.9417 16.0762 16.9924V15.551C16.0762 12.9495 13.9316 10.8049 11.3301 10.8049Z" fill="#fff"/>
</svg>
`}
    />
);

export const EyeIcon = () => (
    <SvgXml
        xml={`<svg width="20" height="13" viewBox="0 0 20 13" fill="none" xmlns="http://www.w3.org/2000/svg">
    <path d="M19.0468 6.26728C12.2843 -0.222321 8.42776 -0.371455 1.40407 6.26728C1.1595 6.49734 1.1595 6.60104 1.40407 6.74089C8.19417 13.2484 12.0811 13.3149 19.0468 6.74089C19.2951 6.59803 19.3395 6.50145 19.0468 6.26728Z" stroke="#BFA17B"/>
    <path d="M12.2176 6.44302C12.2176 7.48471 11.386 8.32306 10.3677 8.32306C9.34939 8.32306 8.51782 7.48471 8.51782 6.44302C8.51782 5.40134 9.34939 4.56299 10.3677 4.56299C11.386 4.56299 12.2176 5.40134 12.2176 6.44302Z" fill="#BFA17B" stroke="#BFA17B" stroke-width="0.5"/>
    </svg>
    `}
    />
);

export const BackIcon = () => (
    <SvgXml
        xml={`<svg width="14" height="21" viewBox="0 0 14 21" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M1.09375 9.75C0.671875 10.1719 0.671875 10.875 1.09375 11.2969L10.1875 20.4375C10.6562 20.8594 11.3594 20.8594 11.7812 20.4375L12.8594 19.3594C13.2812 18.9375 13.2812 18.2344 12.8594 17.7656L5.64062 10.5L12.8594 3.28125C13.2812 2.8125 13.2812 2.10938 12.8594 1.6875L11.7812 0.609375C11.3594 0.1875 10.6562 0.1875 10.1875 0.609375L1.09375 9.75Z" fill="white"/>
        </svg>
        `}
    />
);

export const AddIcon = () => (
    <SvgXml
        xml={`<svg width="26" height="27" viewBox="0 0 26 27" fill="none" xmlns="http://www.w3.org/2000/svg">
        <circle cx="13" cy="13.5" r="13" fill="white"/>
        <path d="M17.5 12.5625H14.125V9.1875C14.125 8.78906 13.7734 8.4375 13.375 8.4375H12.625C12.2031 8.4375 11.875 8.78906 11.875 9.1875V12.5625H8.5C8.07812 12.5625 7.75 12.9141 7.75 13.3125V14.0625C7.75 14.4844 8.07812 14.8125 8.5 14.8125H11.875V18.1875C11.875 18.6094 12.2031 18.9375 12.625 18.9375H13.375C13.7734 18.9375 14.125 18.6094 14.125 18.1875V14.8125H17.5C17.8984 14.8125 18.25 14.4844 18.25 14.0625V13.3125C18.25 12.9141 17.8984 12.5625 17.5 12.5625Z" fill="#BFA17B"/>
        </svg>
        `}
    />
);

export const SearchIcon = () => (
    <SvgXml
        xml={`<svg width="32" height="25" viewBox="0 0 32 25" fill="none" xmlns="http://www.w3.org/2000/svg">
        <g opacity="0.6">
        <rect x="15.917" y="15.6182" width="3.27732" height="12.9295" rx="1.63866" transform="rotate(-48.7818 15.917 15.6182)" fill="#707070"/>
        <circle cx="11.2344" cy="9.84096" r="6.70972" transform="rotate(11.2182 11.2344 9.84096)" stroke="#707070" stroke-width="3"/>
        </g>
        </svg>
        `}
    />
);

export const EyePasswordIcon = () => (
    <SvgXml
        xml={`<svg width="19" height="10" viewBox="0 0 19 10" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M1.39966 1.2926C2.18989 2.1781 2.93543 2.95076 3.64696 3.61121M17.1709 1.2926C11.909 7.36778 8.60324 8.21172 3.64696 3.61121M3.64696 3.61121L1.39966 6.31859" stroke="#BFA17B" stroke-width="2"/>
        <path d="M9.90771 6.6676V9.6676" stroke="#BFA17B" stroke-width="2"/>
        <path d="M15.0957 3.5426L17.2746 6.1676" stroke="#BFA17B" stroke-width="2"/>
        </svg>
        `}
    />
);

export const DropDownIcon = () => (
    <SvgXml
        xml={`<svg width="13" height="8" viewBox="0 0 13 8" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M1.28564 0.680054C0.58252 0.680054 0.230957 1.53943 0.73877 2.04724L5.73877 7.04724C6.05127 7.35974 6.55908 7.35974 6.87158 7.04724L11.8716 2.04724C12.3794 1.53943 12.0278 0.680054 11.3247 0.680054H1.28564Z" fill="#BFA17B"/>
        </svg>
        `}
    />
);

export const CheckDoneIcon = () => (
    <SvgXml
        xml={`<svg width="34" height="35" viewBox="0 0 34 35" fill="none" xmlns="http://www.w3.org/2000/svg">
        <g filter="url(#filter0_d)">
        <circle cx="17" cy="13.5" r="13" fill="white"/>
        </g>
        <path d="M15.0547 18.3125C15.2891 18.5469 15.6875 18.5469 15.9219 18.3125L22.8125 11.4219C23.0469 11.1875 23.0469 10.7891 22.8125 10.5547L21.9688 9.71094C21.7344 9.47656 21.3594 9.47656 21.125 9.71094L15.5 15.3359L12.8516 12.7109C12.6172 12.4766 12.2422 12.4766 12.0078 12.7109L11.1641 13.5547C10.9297 13.7891 10.9297 14.1875 11.1641 14.4219L15.0547 18.3125Z" fill="#BFA17B"/>
        <defs>
        <filter id="filter0_d" x="0" y="0.5" width="34" height="34" filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
        <feFlood flood-opacity="0" result="BackgroundImageFix"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dy="4"/>
        <feGaussianBlur stdDeviation="2"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.25 0"/>
        <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow"/>
        <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape"/>
        </filter>
        </defs>
        </svg>
        `}
    />
);

export const StarIcon = () => (
    <SvgXml
        xml={`<svg width="23" height="23" viewBox="0 0 21 21" fill="none" xmlns="http://www.w3.org/2000/svg">
        <circle cx="10.2957" cy="10.8768" r="10" fill="#BFA17B"/>
        <path d="M10.2957 3.22974L12.0126 8.51372H17.5685L13.0737 11.7794L14.7906 17.0634L10.2957 13.7977L5.80091 17.0634L7.51778 11.7794L3.02296 8.51372H8.57887L10.2957 3.22974Z" fill="white"/>
        </svg>
        `}
    />
);

export const RankIcon = () => (
    <SvgXml
        xml={`<svg width="21" height="21" viewBox="0 0 21 21" fill="none" xmlns="http://www.w3.org/2000/svg">
        <rect x="15.5771" y="0.75" width="5.13514" height="17.1831" fill="#BFA17B"/>
        <rect x="20.7124" y="19.0599" width="1.69014" height="20" transform="rotate(90 20.7124 19.0599)" fill="#BFA17B"/>
        <rect x="8.28003" y="5.82043" width="5.13514" height="12.1127" fill="#BFA17B"/>
        <rect x="0.712402" y="12.8627" width="5.13514" height="5.07042" fill="#BFA17B"/>
        </svg>
        `}
    />
);
